aboutsummaryrefslogtreecommitdiff
path: root/sh/net.sh
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2007-04-19 06:46:29 +0000
committerRoy Marples <roy@marples.name>2007-04-19 06:46:29 +0000
commitf05ac25185ddcd4f84b35ff3ffdcc54a36bc6bd7 (patch)
treeb2babd7a02ed52e638f175bac60a6b6010382dd5 /sh/net.sh
parentfb2f0495a6e25a304675412d9f635e73884e7c44 (diff)
Fix bridge some more, remove superflous warning from vewarn and error when no interface correctly
Diffstat (limited to 'sh/net.sh')
-rwxr-xr-xsh/net.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/sh/net.sh b/sh/net.sh
index 33b93fcb..9922c7ab 100755
--- a/sh/net.sh
+++ b/sh/net.sh
@@ -394,6 +394,12 @@ start() {
fi
done
+ if ! _exists ; then
+ eerror "ERROR: interface ${IFACE} does not exist"
+ eerror "Ensure that you have loaded the correct kernel module for your hardware"
+ return 1
+ fi
+
if ! _wait_for_carrier ; then
if service_started devd ; then
ewarn "no carrier, but devd will start us when we have one"